﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 105: (1 year) VER RS-232 /5500A+SC600
DATE:                  2018-11-04 00:21:31
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22109 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       322
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Service Manual: Fluke Scopemeter 105, chapter 4
#        P/N: 186459  24-May-1995
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.0"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning
  1.007  CALL         Sub Select Failed Test Mode
  1.008  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.009  HEAD         PRELIMINARY INSTRUCTIONS
  1.010  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.010  DISP
  1.010  DISP         Throughout this procedure, the UUT MUST be powered
  1.010  DISP         by the BC190 battery charger (the battery pack must
  1.010  DISP         be installed).

  1.011  DISP         Power up the UUT, ensuring a minimum warm-up time of
  1.011  DISP         30 minutes has been allowed to elapse, prior to
  1.011  DISP         proceeding.

  1.012  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232

# Setup RS232-communication
  1.013  PORT         [P1200,N,8,1,X][OTERM CR]

  1.014  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.015  MATH         Model = "105";  @ModelNum = "105"

  1.016  IF           NOT(FIND(@ModelNum, Model, 1))
  1.017  DISP         UUT is [V @ModelNum] not a Fluke [V Model]!
  1.018  END
  1.019  ENDIF

# Enable the SERVICE-mode of the ScopeMeter test tool
  1.020  MATH         @Cmd = "EX110,0"
  1.021  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.022  WAIT         [D1000]
  1.023  MATH         @Cmd = "FLUKPHIL"
  1.024  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.025  CALL         Sub Fluke 9x Display Tests RS-232

  1.026  MATH         @Cmd = "EX110,4"
  1.027  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.028  CALL         Sub Fluke 9x ScopeMeter (1 Yr) VER RS-232 /5500

  1.029  RSLT         =
  1.030  HEAD         {Cal S9: RISE TIME CHANNEL A}
  1.031  TARGET       -p
# PASS: risetime <= 3.5 ns
# FAIL: risetime >  3.5 ns
  1.032  PIC          sc_9xat
  1.033  MATH         @Cmd = "EX110,9"
  1.034  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.035  5500         100kH                        0.5Vpp         ED S6 S  L
  1.036  ACC          0.0nT          +1.0U
  1.037  MATH         @Cmd = "QM 11 V"; @Wait = 8
  1.038  TARGET       -m
  1.039  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.040  MATH         MEM = MEM / 1E-9
  1.041  MEMCX        nT             +3.5U

  2.001  RSLT         =
  2.002  HEAD         {Cal S10/S11: FREQUENCY RESPONSE CHANNEL A}
  2.003  MATH         @Wait = 3
  2.004  MATH         Mode = "Vpp LS S6 FLAT"
  2.005  MATH         L[2] = ACCV2("Fluke 5500A", Mode, 0.12, 100E+6)
  2.006  TARGET
  2.007  MATH         @Cmd = "EX110,10"
  2.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.009  5500         0.12Vpp                      50kH           LS S6 S  L
  2.010  MATH         @Cmd = "QM 5 V"
  2.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.012  MATH         L[1] = MEM * 0.7
  2.013  MATH         @Cmd = "EX110,11"
  2.014  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.015  5500         0.12Vpp                      100MH          LS S6 S  L
  2.016  MATH         MEM = L[1]
  2.017  ACC          Vpp            L2U
  2.018  MATH         @Cmd = "QM 5 V"
  2.019  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
# PASS: rms(100 MHz) >= 0.7 * rms(50 kHz)
# FAIL: rms(100 MHz) <  0.7 * rms(50 kHz)
  2.020  MEMCX        Vpp            +100%         100MH

  3.001  RSLT         =
  3.002  HEAD         {Cal S16/S17: TRIGGER SENSITIVITY CHANNEL A}
  3.003  MATH         @Wait = 3
  3.004  TARGET
  3.005  MATH         @Cmd = "EX110,16"
  3.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
  3.007  MATH         @Cmd = "QM 7 V"
# 200 mV/div x 1.3 div = 260 mVpp
  3.008  MATH         Spec = 260; L[1] = Spec

  3.009  DO
  3.010  MATH         MEM = L[1]
  3.011  5500         mVpp                         10MH           LS S6 S  L
  3.012  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.013  MATH         MEM1 = (MEM / 1E-3) - Spec
  3.014  MATH         L[1] = L[1] - MEM1
  3.015  UNTIL        ABS(MEM1) < 5

  3.016  MEM2         =Signal frequency: 10 MHz, negative slope
  3.017  EVAL   -s MEM2 : Is the signal well triggered?

  4.001  MATH         @Cmd = "EX110,17"
  4.002  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.003  MATH         @Cmd = "QM 7 V"
# 50 mV/div x 1.5 div = 75 mVpp
  4.004  MATH         Spec = 75; L[1] = Spec

  4.005  DO
  4.006  MATH         MEM = L[1]
  4.007  5500         mVpp                         100MH          LS S6 S  L
  4.008  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.009  MATH         MEM1 = (MEM / 1E-3) - Spec
  4.010  MATH         L[1] = L[1] - MEM1
  4.011  UNTIL        ABS(MEM1) < 2

  4.012  MEM2         =Signal frequency: 100 MHz
  4.013  EVAL   -s MEM2 : Is the signal well triggered?

  5.001  MATH         @Cmd = "EX110,17"
  5.002  CALL         Sub Fluke ScopeMeter Send Command RS-232
  5.003  MATH         @Cmd = "QM 7 V"
# 50 mV/div x 2.5 div = 250 mVpp
  5.004  MATH         Spec = 250; L[1] = Spec

  5.005  DO
  5.006  MATH         MEM = L[1]
  5.007  5500         mVpp                         150MH          LS S6 S  L
  5.008  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.009  MATH         MEM1 = (MEM / 1E-3) - Spec
  5.010  MATH         L[1] = L[1] - MEM1
  5.011  UNTIL        ABS(MEM1) < 3

  5.012  MEM2         =Signal frequency: 150 MHz
  5.013  EVAL   -s MEM2 : Is the signal well triggered?

  6.001  RSLT         =
  6.002  HEAD         {Cal S18: TIMEBASE}
  6.003  TARGET       -p
  6.004  MATH         @Cmd = "EX110,18"
  6.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  6.006  5500         1uT                                         M1 S6 S  L
  6.007  PIC          9x_time
  6.008  TARGET       -m
  6.009  MESS         Adjust the repetition time so that the distances
  6.009  MESS         are the same.
  6.009  MESS
  6.010  5500         1.000uT        0.08U                        M1 S6 N  L
  6.011  MESS

  6.012  5500         *                                                 S

  6.013  RSLT         =
  6.014  HEAD         {Cal S8: RISE TIME CHANNEL B}
# PASS: risetime <= 3.5ns
# FAIL: risetime >  3.5ns
  6.015  PIC          sc_9xbt
  6.016  MATH         @Cmd = "EX110,8"
  6.017  CALL         Sub Fluke ScopeMeter Send Command RS-232
  6.018  5500         100kH                        0.5Vpp         ED S6 S  L
  6.019  ACC          0.0nT          +1.0U
  6.020  MATH         @Cmd = "QM 11 V"; @Wait = 8
  6.021  TARGET       -m
  6.022  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.023  MATH         MEM = MEM / 1E-9
  6.024  MEMCX        nT             +3.5U

  7.001  RSLT         =
  7.002  HEAD         {Cal S12/S13: FREQUENCY RESPONSE CHANNEL B}
  7.003  MATH         @Wait = 3
  7.004  MATH         Mode = "Vpp LS S6 FLAT"
  7.005  MATH         L[2] = ACCV2("Fluke 5500A", Mode, 0.12, 100E+6)
  7.006  TARGET
  7.007  MATH         @Cmd = "EX110,12"
  7.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
  7.009  5500         0.12Vpp                      50kH           LS S6 S  L
  7.010  MATH         @Cmd = "QM 5 V"
  7.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.012  MATH         L[1] = MEM * 0.7
  7.013  MATH         @Cmd = "EX110,13"
  7.014  CALL         Sub Fluke ScopeMeter Send Command RS-232
  7.015  5500         0.12Vpp                      100MH          LS S6 S  L
  7.016  MATH         MEM = L[1]
  7.017  ACC          Vpp            L2U
  7.018  PORT         [D3000]QM 5 V[I!][I]
# PASS: rms(100 MHz) >= 0.7 * rms(50 kHz)
# FAIL: rms(100 MHz) <  0.7 * rms(50 kHz)
  7.019  MEMCX        Vpp            +100%         100MH

  8.001  RSLT         =
  8.002  HEAD         {Cal S14/S15: TRIGGER SENSITIVITY CHANNEL B}
  8.003  TARGET
  8.004  MATH         @Wait = 3
  8.005  TARGET
  8.006  MATH         @Cmd = "EX110,15"
  8.007  CALL         Sub Fluke ScopeMeter Send Command RS-232
  8.008  MATH         @Cmd = "QM 7 V"
# 200 mV/div x 1.3 div = 260 mVpp
  8.009  MATH         Spec = 260; L[1] = Spec

  8.010  DO
  8.011  MATH         MEM = L[1]
  8.012  5500         mVpp                         10MH           LS S6 S  L
  8.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  8.014  MATH         MEM1 = (MEM / 1E-3) - Spec
  8.015  MATH         L[1] = L[1] - MEM1
  8.016  UNTIL        ABS(MEM1) < 5

  8.017  MEM2         =Signal frequency: 10 MHz, negative slope
  8.018  EVAL   -s MEM2 : Is the signal well triggered?

  9.001  MATH         @Cmd = "EX110,14"
  9.002  CALL         Sub Fluke ScopeMeter Send Command RS-232
  9.003  MATH         @Cmd = "QM 7 V"
# 50 mV/div x 1.5 div = 75 mVpp
  9.004  MATH         Spec = 75; L[1] = Spec

  9.005  DO
  9.006  MATH         MEM = L[1]
  9.007  5500         mVpp                         100MH          LS S6 S  L
  9.008  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  9.009  MATH         MEM1 = (MEM / 1E-3) - Spec
  9.010  MATH         L[1] = L[1] - MEM1
  9.011  UNTIL        ABS(MEM1) < 2

  9.012  MEM2         =Signal frequency: 100 MHz
  9.013  EVAL   -s MEM2 : Is the signal well triggered?

 10.001  MATH         @Cmd = "EX110,14"
 10.002  CALL         Sub Fluke ScopeMeter Send Command RS-232
 10.003  MATH         @Cmd = "QM 7 V"
# 50 mV/div x 2.5 div = 250 mVpp
 10.004  MATH         Spec = 250; L[1] = Spec

 10.005  DO
 10.006  MATH         MEM = L[1]
 10.007  5500         mVpp                         150MH          LS S6 S  L
 10.008  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 10.009  MATH         MEM1 = (MEM / 1E-3) - Spec
 10.010  MATH         L[1] = L[1] - MEM1
 10.011  UNTIL        ABS(MEM1) < 3

 10.012  MEM2         =Signal frequency: 150 MHz
 10.013  EVAL   -s MEM2 : Is the signal well triggered?

 11.001  5500         *                                                 S

 11.002  RSLT         =
 11.003  HEAD         Cal S19: TRIGGER SENSITIVITY EXTERNAL CHANNEL
 11.004  TARGET
 11.005  PIC          sc_9xae
 11.006  MATH         @Cmd = "EX110,19"
 11.007  CALL         Sub Fluke ScopeMeter Send Command RS-232
 11.008  M550                                      1.4Voff
 11.009  5500         1.8Vpp                       1kH            SI S6 S
 11.010  MESS         The frequency of the signal is 1 kHz
 11.010  MESS         and the period is 1 us = 2 div.
 11.010  MESS
 11.010  MESS         The signal on the display should be stable value.
 11.010  MESS
 11.011  MEM2         =Cal S19: TRIGGER SENSITIVITY EXTERNAL CHANNEL
 11.012  EVAL   -s MEM2 : Is the signal well triggered?

 12.001  M550         *
 12.002  5500         *                                                 S

 12.003  RSLT         =
 12.004  HEAD         Cal S20: HORIZONTAL DEFLECTION: Xl DEFLECTION
 12.005  TARGET
 12.006  PIC          sc_9xab
 12.007  5500         2kH                          800mVpp        SI S6 S
 12.008  MATH         @Cmd = "EX110,20"
 12.009  CALL         Sub Fluke ScopeMeter Send Command RS-232
 12.010  MESS         A trace under a 45deg angle must be displayed. The gap
 12.010  MESS         between the lines must be smaller than 0.4 divisions.
 12.010  MESS
 12.011  MEM2         =Cal S20: HORIZONTAL DEFLECTION: Xl DEFLECTION
 12.012  EVAL   -s MEM2 : Is the 45° line with a gap < 0.4 div displayed?
 13.001  MESS

 13.002  HEAD
 13.003  END
