﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 9x ScopeMeter (1 Yr) VER RS-232 /5500
DATE:                  2018-01-08 15:50:49
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22110 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       31
NUMBER OF LINES:       344
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        93, 95, 97, 97/AUTO ScopeMeter®
#        91, 92, 96, 99, 105 Series II ScopeMeter®
#        92B, 96B, 99B, 105B ScopeMeter®
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {Cal M2: VOLTAGE ACCURACY, BANANA JACK INPUTS}
  1.003  MATH         @Wait = 2
  1.004  TARGET       -p
  1.005  PIC          55_9xe
  1.006  MATH         @Cmd = "EX111,2"
  1.007  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.008  MATH         L[1] = ZCMP(@ModelNum, "93")
  1.009  MATH         L[1] = L[1] || ZCMP(@ModelNum, "95")
  1.010  MATH         L[1] = L[1] || ZCMP(@ModelNum, "97")

  1.011  IF           @Series_I
  1.012  MATH         @Cmd = "QM 1 V"
  1.013  ELSE
  1.014  MATH         @Cmd = "QM 2 V"
  1.015  ENDIF

  1.016  5500         300.0mV                                           S  2W
  1.017  TARGET       -m
  1.018  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.019  MATH         MEM = MEM / 1E-3
  1.020  MEMCX        300.0mV        0.5% 0.5U

  2.001  5500         3.000V                                            S  2W
  2.002  TARGET       -m
  2.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.004  MEMCX        3.000V         0.5% 5e-3U

  3.001  RSLT         =
  3.002  HEAD         {Cal M3: OHMS ACCURACY, BANANA JACK INPUTS}
  3.003  TARGET       -p
  3.004  MATH         @Cmd = "EX111,3"
  3.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  3.006  MATH         @Cmd = "QM 1 V"; @Wait = 5

  3.007  5500         000.0Z                                            S  2W
  3.008  TARGET       -m
  3.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.010  MEMCX        000.0Z         0.5% 0.5U

  4.001  5500         100.0Z                                            S  2W
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.004  MEMCX        100.0Z         0.5% 0.5U

  5.001  5500         1.000kZ                                           S  2W
  5.002  TARGET       -m
  5.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.004  MATH         MEM = MEM / 1E+3
  5.005  MEMCX        1.000kZ        0.5% 0.005U

  6.001  5500         10.00kZ                                           S  2W
  6.002  TARGET       -m
  6.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.004  MATH         MEM = MEM / 1000
  6.005  MEMCX        10.00kZ        0.5% 0.05U

  7.001  5500         100.0kZ                                           S  2W
  7.002  TARGET       -m
  7.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.004  MATH         MEM = MEM / 1000
  7.005  MEMCX        100.0kZ        0.5% 0.5U

  8.001  5500         1.000MZ                                           S  2W
  8.002  TARGET       -m
  8.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  8.004  MATH         MEM = MEM / 1E+6
  8.005  MEMCX        1.000MZ        0.5% 0.005U

  9.001  5500         10.00MZ                                           S  2W
  9.002  TARGET       -m
  9.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  9.004  MATH         MEM = MEM / 1E+6
  9.005  MEMCX        10.00MZ        0.5% 0.05U

 10.001  RSLT         =
 10.002  HEAD         {Cal M4: DIODE MODE TEST, BANANA JACK INPUTS}
 10.003  TARGET       -p
 10.004  MATH         @Cmd = "EX111,4"
 10.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 10.006  5500         0.900V                                            S  2W
 10.007  MATH         @Cmd = "QM 1 V"; @Wait = 2
 10.008  TARGET       -m
 10.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 10.010  MEMCX        0.900V         0.5% 0.005U

 11.001  5500         *                                                 S

 11.002  RSLT         =
 11.003  HEAD         {Cal M1: VOLTAGE ACCURACY, BNC INPUT}
 11.004  MATH         @Wait = 2
 11.005  TARGET       -p
 11.006  PIC          55_9xa
 11.007  MATH         @Cmd = "EX111,1"
 11.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
 11.009  5500         300.0mV                                           S  2W
 11.010  MATH         @Cmd = "QM 2 V"
 11.011  TARGET       -m
 11.012  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 11.013  MATH         MEM = MEM / 1E-3
 11.014  MEMCX        300.0mV        0.5% 0.5U

 12.001  MATH         @Cmd = "QM 1 V"
 12.002  TARGET       -p
 12.003  5500         300.0mV                      1kH            SI    S  2W
 12.004  TARGET       -m
 12.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 12.006  MATH         MEM = MEM / 1E-3
 12.007  MEMCX        300.0mV        2% 1.5U       1kH

 13.001  MATH         @Cmd = "QM 2 V"
 13.002  TARGET       -p
 13.003  5500         1.000V                                            S  2W
 13.004  TARGET       -m
 13.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 13.006  MEMCX        1.000V         0.5% 0.005U

 14.001  MATH         @Cmd = "QM 1 V"
 14.002  TARGET       -p
 14.003  5500         1.000V                       1kH            SI    S  2W
 14.004  TARGET       -m
 14.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 14.006  MEMCX        1.000V         2% 0.015U     1kH

 15.001  MATH         @Cmd = "QM 2 V"
 15.002  TARGET       -p
 15.003  5500         3.000V                                            S  2W
 15.004  TARGET       -m
 15.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 15.006  MEMCX        3.000V         0.5% 0.005U

 16.001  MATH         @Cmd = "QM 1 V"
 16.002  TARGET       -p
 16.003  5500         3.000V                       1kH            SI    S  2W
 16.004  TARGET       -m
 16.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 16.006  MEMCX        3.000V         2% 0.015U     1kH

 17.001  MATH         @Cmd = "QM 2 V"
 17.002  TARGET       -p
 17.003  5500         10.00V                                            S  2W
 17.004  TARGET       -m
 17.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 17.006  MEMCX        10.00V         0.5% 0.05U

 18.001  MATH         @Cmd = "QM 1 V"
 18.002  TARGET       -p
 18.003  5500         10.00V                       1kH            SI    S  2W
 18.004  TARGET       -m
 18.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 18.006  MEMCX        10.00V         2% 0.15U      1kH

 19.001  MATH         @Cmd = "QM 2 V"
 19.002  TARGET       -p
 19.003  5500         30.00V                                            S  2W
 19.004  TARGET       -m
 19.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 19.006  MEMCX        30.00V         0.5% 0.05U

 20.001  MATH         @Cmd = "QM 1 V"
 20.002  TARGET       -p
 20.003  5500         30.00V                       1kH            SI    S  2W
 20.004  TARGET       -m
 20.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 20.006  MEMCX        30.00V         2% 0.15U      1kH

 21.001  MATH         @Cmd = "QM 2 V"
 21.002  TARGET       -p
 21.003  5500         100.0V                                            S  2W
 21.004  TARGET       -m
 21.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 21.006  MEMCX        100.0V         0.5% 0.5U

 22.001  MATH         @Cmd = "QM 1 V"
 22.002  TARGET       -p
 22.003  5500         100.0V                       1kH            SI    S  2W
 22.004  TARGET       -m
 22.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 22.006  MEMCX        100.0V         2% 1.5U       1kH

 23.001  MATH         @Cmd = "QM 2 V"
 23.002  TARGET       -p
 23.003  5500         250.0V                                            S  2W
 23.004  TARGET       -m
 23.005  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 23.006  MEMCX        250.0V         0.5% 0.5U

 24.001  MATH         @Cmd = "QM 1 V"
 24.002  TARGET       -p
 24.003  5500         200.0V                       1kH            SI    S  2W
 24.004  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 24.005  MEMCX        200.0V         2% 1.5U       1kH

 25.001  RSLT         =
 25.002  HEAD         {Cal S4: VERTICAL DEFLECTION COEFFICIENT INPUT A}
 25.003  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 300E-3)
 25.004  MATH         L[2] = RSS2(L[2], L[2]) / 1E-3
 25.005  MATH         @Wait = 2
 25.006  TARGET       -p
#         The deflection is checked in the automatic way with
#         DC only. This is to eliminate the influence of the
#         jump of the trace when measuring with 10kHz.
#         In the manual way it is easier to use 10kHz,
#         because then one sees directly the result on the
#         display.
# S4: 300mV DC and -300mV DC (to eliminate the offset voltage)
 25.007  MATH         @Cmd = "EX110,4"
 25.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
 25.009  MATH         @Cmd = "QM 6 V"
 25.010  TARGET       -m
 25.011  5500         300mV                                             S  2W
 25.012  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 25.013  MATH         L[1] = MEM
 25.014  5500         -300mV                                            S  2W
 25.015  ACC          600.0mV        L2U
 25.016  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 25.017  MATH         MEM = (L[1] - MEM) / 1E-3
 25.018  MEMCX        600.0mV        2% 4U

 26.001  RSLT         =
 26.002  HEAD         {Cal M5: AUXILIARY SCOPE DISPLAY AND FREQUENCY}
 26.003  MATH         @Wait = 2
 26.004  TARGET       -p
 26.005  MATH         @Cmd = "EX111,5"
 26.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
 26.007  5500         1000H                        6Vpp           SQ    S  2W

 26.008  IF           FIND(@ModelNum, "B", 1)
 26.009  MATH         @Cmd = "QM 10 V"
 26.010  ELSE
 26.011  MATH         @Cmd = "QM 2 V"
 26.012  ENDIF

 26.013  TARGET       -m
 26.014  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 26.015  MEMCX        1000H          0.5% 2U

 27.001  5500         1000H                        6Vpp           SQ    S  2W
 27.002  MESS         The signal on the auxiliary scope-display must be
 27.002  MESS         stable value and well triggered.
 27.002  MESS
 27.003  MEM2         =Signal stable and well triggered
 27.004  EVAL   -s MEM2 : Is the signal stable and well triggered?
 28.001  MESS

 28.002  5500         *                                                 S

 28.003  IF           NOT(ZCMP(@ModelNum, "91"))
 28.004  RSLT         =
 28.005  HEAD         {Cal S5:VERTICAL DEFLECTION COEFFICIENT INPUT B}
 28.006  MATH         @Wait = 2
 28.007  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 300E-3)
 28.008  MATH         L[2] = RSS2(L[2], L[2]) / 1E-3
 28.009  TARGET       -p
 28.010  PIC          55_9xb
 28.011  MATH         @Cmd = "EX110,5"
 28.012  CALL         Sub Fluke ScopeMeter Send Command RS-232
 28.013  MATH         @Cmd = "QM 6 V"
 28.014  TARGET       -m
 28.015  5500         300mV                                             S  2W
 28.016  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 28.017  MATH         L[1] = MEM
 28.018  5500         -300mV                                            S  2W
 28.019  ACC          600.0mV        L2U
 28.020  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 28.021  MATH         MEM = (L[1] - MEM) / 1E-3
 28.022  MEMCX        600.0mV        2% 4U

 29.001  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 3)
 29.002  MATH         L[2] = RSS2(L[2], L[2])
 29.003  TARGET       -p
 29.004  MATH         @Cmd = "EX110,6"
 29.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 29.006  MATH         @Cmd = "QM 6 V"
 29.007  TARGET       -m
 29.008  5500         3V                                                S  2W
 29.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 29.010  MATH         L[1] = MEM
 29.011  5500         -3V                                               S  2W
 29.012  ACC          6.000V         L2U
 29.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 29.014  MATH         MEM = L[1] - MEM
 29.015  MEMCX        6.000V         2% 0.04U

 30.001  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 30)
 30.002  MATH         L[2] = RSS2(L[2], L[2])
 30.003  TARGET       -p
 30.004  MATH         @Cmd = "EX110,7"
 30.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 30.006  MATH         @Cmd = "QM 6 V"
 30.007  TARGET       -m
 30.008  5500         30V                                               S  2W
 30.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 30.010  MATH         L[1] = MEM
 30.011  5500         -30V                                              S  2W
 30.012  ACC          60.00V         L2U
 30.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 30.014  MATH         MEM = L[1]- MEM
 30.015  MEMCX        60.00V         2% 0.4U

 31.001  5500         *                                                 S
 31.002  ENDIF

 31.003  HEAD
 31.004  END
