﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter (UUT) Connection RS-232
DATE:                  2014-09-11 08:28:21
AUTHOR:                Fluke
REVISION:              $Revision: 22065 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       70
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Models covered:
#        Fluke 43, 43B, 192(), 196(), 199() ScopeMeter®
#
# Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
# Required Equipment:
#        PM 9080 Optically Isolated Interface Cable
#        DB9 (m) to DB9 (m) gender changer
#        DB9 (f) to DB9 (m) null-modem adapter
#
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Port = INI("startup", "port")
  1.002  MATH         @Error = ZCMPI(Port, "None")

  1.003  IF           @Error
  1.004  DISP         "port = [V Port]" in the MET/CAL initialization file.
  1.004  DISP
  1.004  DISP         1. Terminate procedure.
  1.004  DISP         2. Select TOOLS=>Configure Default Serial Port...
  1.004  DISP         3. Set "Serial Port" to COM port to which UUT will be
  1.004  DISP         [32]  connected.
  1.005  END
  1.006  ENDIF

  1.007  MATH         L[1] = ZCMPI(Port, "COM5500")
  1.008  MATH         L[1] = ZCMPI(Port, "COM5500A") || L[1]
  1.009  MATH         L[1] = ZCMPI(Port, "COM5500E") || L[1]
  1.010  MATH         L[1] = ZCMPI(Port, "COM5500")  || L[1]
  1.011  MATH         L[1] = ZCMPI(Port, "COM5520")  || L[1]
  1.012  MATH         L[1] = ZCMPI(Port, "COM5522")  || L[1]
  1.013  MATH         L[1] = ZCMPI(Port, "COM5800")  || L[1]
  1.014  MATH         L[1] = ZCMPI(Port, "COM5820")  || L[1]

  1.015  IF           L[1]
  1.016  DISP         Connect UUT to port labeled "Serial 2 to UUT" on
  1.016  DISP         rear panel of calibrator, using the following:
  1.016  DISP
  1.016  DISP         [32] PM 9080 Optically Isolated Interface Cable
  1.016  DISP         [32] DB9 (m) to DB9 (m) gender changer
  1.016  DISP         [32] DB9 (f) to DB9 (m) null-modem adapter
  1.016  DISP
  1.016  DISP         [32]                    NOTE
  1.016  DISP         Connect the gender changer to "Serial 2 to UUT"
  1.016  DISP         first, then the null-model adapter, and finally the
  1.016  DISP         optically isolated interface cable.
  1.017  ELSE
  1.018  DISP         Connect the UUT to [V Port] using the
  1.018  DISP         Isolated Interface Cable.
  1.019  ENDIF

  1.020  END
